Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List webhook subscription deliveries

GET/workspaces/{organizationId}/webhook-subscriptions/{id}/deliveries
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Webhook deliveries list

deliveriesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
subscriptionIdstringrequired
eventstringrequired
urlstringrequired
statusstringrequired
statusCodenumber | nullrequired
errorstring | nullrequired
attemptCountnumberrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/webhook-subscriptions/string/deliveries' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "deliveries": [
    {
      "id": "string",
      "organizationId": "string",
      "subscriptionId": "string",
      "event": "string",
      "url": "string",
      "status": "string",
      "statusCode": 0,
      "error": "string",
      "attemptCount": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?